%global packname  hexbin
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.27.2
Release:          3%{?dist}
Summary:          Hexagonal Binning Routines

License:          GPLv2
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-methods
# Imports:   R-lattice R-grid R-graphics R-grDevices R-stats R-utils
# Suggests:  R-marray R-affy R-Biobase R-limma
# LinkingTo:
# Enhances:

Requires:         R-methods
Requires:         R-lattice R-grid R-graphics R-grDevices R-stats R-utils
Suggests:         R-marray R-affy R-Biobase R-limma
BuildRequires:    R-devel tex(latex) R-methods
BuildRequires:    R-lattice R-grid R-graphics R-grDevices R-stats R-utils
# These are from Bioconductor:
#BuildRequires:    R-marray R-affy R-Biobase R-limma

%description
Binning and plotting functions for hexagonal bins.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.27.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 1.27.2-2
- rebuild for R 3.5.0

* Tue Mar 13 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.27.2-1
- initial package for Fedora
